name: unicblue/timeline
typeName: unicblue_timeline
group: hks
prefixFields: true
prefixType: full
fields:
  -
    identifier: headers
    type: Palette
    fields:
      -
        identifier: header
        useExistingField: true
      -
        identifier: header_layout
        useExistingField: true
      -
        identifier: header_position
        useExistingField: true
  -
    identifier: items
    type: Collection
    labelField: year
    minitems: 1
    maxitems: 100
    fields:
      -
        identifier: year
        type: Text
        required: true
      -
        identifier: title
        type: Text
        required: true
      -
        identifier: bodytext
        type: Textarea
        enableRichtext: true
      -
        identifier: image
        type: File
        allowed: common-image-types
        minitems: 0
        maxitems: 1
      -
        identifier: image_format
        type: Select
        translatable: false
        renderType: selectSingle
        default: original
        description: 'LLL:EXT:hks/ContentBlocks/ContentElements/timeline/language/labels.xlf:items.image_format.description'
        items:
          - label: 'LLL:EXT:hks/ContentBlocks/ContentElements/timeline/language/labels.xlf:items.image_format.items.full-width'
            value: full-width
          - label: 'LLL:EXT:hks/ContentBlocks/ContentElements/timeline/language/labels.xlf:items.image_format.items.original'
            value: original
  -
    identifier: tab_layout
    type: Tab
    label: 'Layout'
  -
    identifier: tx_hks_container
    type: Select
    useExistingField: true
  -
    identifier: tx_hks_top_accent
    type: Select
    useExistingField: true
  -
    identifier: spacing_palette
    type: Palette
    fields:
      -
        identifier: tx_hks_spacing_top
        type: Select
        useExistingField: true
      -
        identifier: tx_hks_spacing_bottom
        type: Select
        useExistingField: true
